For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete website subdomain

Delete an existing subdomain from the selected website. Use this endpoint to remove subdomains that are no longer needed.

Delete website subdomain

delete

Delete an existing subdomain from the selected website.

Use this endpoint to remove subdomains that are no longer needed.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
domainstringRequired

Domain name

Example: mydomain.tld
subdomainstringRequiredExample: blog
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
delete/api/hosting/v1/accounts/{username}/websites/{domain}/subdomains/{subdomain}
DELETE /api/hosting/v1/accounts/{username}/websites/{domain}/subdomains/{subdomain} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "message": "Request accepted"
}

Last updated

Was this helpful?